Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class NullMouseMode

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.event.AbstractMouseMode
                  com.bbn.openmap.event.NullMouseMode

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, MapMouseMode, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, PaintListener, PropertyConsumer, java.io.Serializable

public class NullMouseMode
extends AbstractMouseMode

The NullMouseMode takes no action on mouse events and does not keep a list of map mouse listeners. It is intended to be used when you need a mouse mode that does nothing as an alternative to one that does something. If you don't have one that does something you don't need any MouseModes at all.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.event.AbstractMouseMode
`AbstractMouseMode.MouseWheelZoomEditor`

Field Summary
`static java.lang.String` | `modeID` Mouse Mode identifier, which is "None".

Fields inherited from class com.bbn.openmap.event.AbstractMouseMode
`cursor, CursorIDProperty, df, guiIcon, iconName, IconProperty, ID, IDProperty, mouseSupport, MouseWheelZoomProperty, prettyName, PrettyNameProperty, visible, ZOOM_IN, ZOOM_OUT, zoomWhenMouseWheelUp`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`NullMouseMode()` Construct a NullMouseMode.
`NullMouseMode(java.lang.String id, boolean consumeEvents)` Construct a NullMouseMode.

Method Summary
`void` | `addMapMouseListener(MapMouseListener mml)` IGNORED.
`void` | `removeMapMouseListener(MapMouseListener mml)` IGNORED.

Methods inherited from class com.bbn.openmap.event.AbstractMouseMode
`actAsProxyFor, actAsProxyFor, getClassToUseForIconRetrieval, getGUIIcon, getIconName, getID, getModeCursor, getMouseSupport, getPrettyName, getProperties, getPropertyInfo, getProxyDistributionMask, isConsumeEvents, isProxyFor, isVisible, isZoomWhenMouseWheelUp, listenerPaint, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, releaseProxy, removeAllMapMouseListeners, setActive, setConsumeEvents, setGUIIcon, setIconName, setID, setModeCursor, setModeCursor, setMouseSupport, setPrettyName, setProperties, setProxyDistributionMask, setVisible, setZoomWhenMouseWheelUp`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modeID

    public static final transient java.lang.String modeID

  Mouse Mode identifier, which is "None".

Constructor Detail

### NullMouseMode

    public NullMouseMode()

  Construct a NullMouseMode. Default constructor sets the ID to the modeID string and the consume events parameter to true.

### NullMouseMode

    public NullMouseMode(java.lang.String id,
                         boolean consumeEvents)

  Construct a NullMouseMode. Constructor that lets you set the name and the consume mode.

Parameters:
  `id` - the ID name.
  `consumeEvents` - the consume mode.

Method Detail

### addMapMouseListener

    public void addMapMouseListener(MapMouseListener mml)

  IGNORED.

  Specified by:
    `addMapMouseListener` in interface `MapMouseMode`
  Overrides:
    `addMapMouseListener` in class `AbstractMouseMode`
  Parameters:
    `mml` - the MapMouseListener to add.

### removeMapMouseListener

    public void removeMapMouseListener(MapMouseListener mml)

  IGNORED.

  Specified by:
    `removeMapMouseListener` in interface `MapMouseMode`
  Overrides:
    `removeMapMouseListener` in class `AbstractMouseMode`
  Parameters:
    `mml` - the MapMouseListener to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details